Bug 74508 - Steam games not launching.
Summary: Steam games not launching.
Status: RESOLVED FIXED
Alias: None
Product: Mesa
Classification: Unclassified
Component: Drivers/DRI/i965 (show other bugs)
Version: 10.0
Hardware: x86 (IA32) Linux (All)
: high critical
Assignee: Ian Romanick
QA Contact: Intel 3D Bugs Mailing List
URL:
Whiteboard:
Keywords:
Depends on:
Blocks:
 
Reported: 2014-02-04 14:56 UTC by celletus
Modified: 2014-02-05 08:18 UTC (History)
1 user (show)

See Also:
i915 platform:
i915 features:


Attachments
Steam error (512.00 KB, image/png)
2014-02-04 14:56 UTC, celletus
Details

Note You need to log in before you can comment on or make changes to this bug.
Description celletus 2014-02-04 14:56:54 UTC
Created attachment 93363 [details]
Steam error

HI.Since the Mesa last update I can't launch games in Steam.

My sistem information is:
Processor Information:
    Vendor:  GenuineIntel
    CPU Family:  0x6
    CPU Model:  0xf
    CPU Stepping:  0xd
    CPU Type:  0x0
    Speed:  2001 Mhz
    2 logical processors
    2 physical processors
    HyperThreading:  Unsupported
    FCMOV:  Supported
    SSE2:  Supported
    SSE3:  Supported
    SSSE3:  Supported
    SSE4a:  Unsupported
    SSE41:  Unsupported
    SSE42:  Unsupported
    
Network Information:
    Network Speed:  
    
Operating System Version:
    Ubuntu 13.10 (32 bit)
    Kernel Name:  Linux
    Kernel Version:  3.11.0-15-generic
    X Server Vendor:  The X.Org Foundation
    X Server Release:  11405000
    X Window Manager:  Compiz
    Steam Runtime Version:  steam-runtime-release_2013-10-23
    
Video Card:
    Driver:  Intel Open Source Technology Center Mesa DRI Mobile Intel® GM45 Express Chipset x86/MMX/SSE2

    Driver Version:  2.1 Mesa 10.1.0-devel (git-adaa5a6 saucy-oibaf-ppa+curaga)
    OpenGL Version: 2.1
    Desktop Color Depth: 24 bits per pixel
    Monitor Refresh Rate: 59 Hz
    VendorID:  0x8086
    DeviceID:  0x2a42
    Number of Monitors:  1
    Number of Logical Video Cards:  1
    Primary Display Resolution:  1280 x 800
    Desktop Resolution: 1280 x 800
    Primary Display Size: 13,03" x 8,15"  (15,35" diag)
                                            33,1cm x 20,7cm  (39,0cm diag)
    Primary VRAM Not Detected
    
Sound card:
    Audio device: Intel Cantiga HDMI
    
Memory:
    RAM:  3963 Mb
    
Miscellaneous:
    UI Language:  English
    LANG:  en_US.UTF-8
    Microphone:  Not set
    Total Hard Disk Space Available:  71030 Mb
    Largest Free Hard Disk Block:  41818 Mb
    
Installed software:
    
Recent Failure Reports:
Comment 1 celletus 2014-02-04 15:00:32 UTC
I add a screenshot:http://imgur.com/NwfncYA
Comment 2 Kenneth Graunke 2014-02-04 16:36:21 UTC
You might try:

1. Close Steam
2. Open a terminal, and run:

   export MESA_GLSL_VERSION_OVERRIDE=130
   steam &

3. Launch your game.
Comment 3 celletus 2014-02-04 17:01:48 UTC
(In reply to comment #2)
> You might try:
> 
> 1. Close Steam
> 2. Open a terminal, and run:
> 
>    export MESA_GLSL_VERSION_OVERRIDE=130
>    steam &
> 
> 3. Launch your game.

I get the same error as in the screenshot and this in the console:
oli@oli:~$  export MESA_GLSL_VERSION_OVERRIDE=130
oli@oli:~$    steam &
[1] 14849
oli@oli:~$ Running Steam on ubuntu 13.10 32-bit
STEAM_RUNTIME is enabled automatically
Installing breakpad exception handler for appid(steam)/version(1390852599_client)
Installing breakpad exception handler for appid(steam)/version(1390852599_client)
unlinked 0 orphaned pipes
Gtk-Message: Failed to load module "overlay-scrollbar"
Gtk-Message: Failed to load module "unity-gtk-module"
Installing breakpad exception handler for appid(steam)/version(1390852599_client)
Fontconfig error: "/etc/fonts/conf.d/10-scale-bitmap-fonts.conf", line 70: non-double matrix element
Fontconfig error: "/etc/fonts/conf.d/10-scale-bitmap-fonts.conf", line 70: non-double matrix element
Fontconfig warning: "/etc/fonts/conf.d/10-scale-bitmap-fonts.conf", line 78: saw unknown, expected number
[0204/185926:WARNING:proxy_service.cc(958)] PAC support disabled because there is no system implementation
Installing breakpad exception handler for appid(steam)/version(1390852599_client)
Installing breakpad exception handler for appid(steam)/version(1390852599_client)
Installing breakpad exception handler for appid(steam)/version(1390852599_client)
Installing breakpad exception handler for appid(steam)/version(1390852599_client)
Installing breakpad exception handler for appid(steam)/version(1390852599_client)
Generating new string page texture 2: 48x256, total string texture memory is 49,15 KB
Installing breakpad exception handler for appid(steam)/version(1390852599_client)
Generating new string page texture 3: 256x256, total string texture memory is 311,30 KB
Installing breakpad exception handler for appid(steam)/version(1390852599_client)
Installing breakpad exception handler for appid(steam)/version(1390852599_client)
Focused window is now 1, 0
Adding license for package 0
Adding license for package 7
Adding license for package 16222
Adding license for package 17250
Adding license for package 36144
roaming config store loaded successfully - 797 bytes.
migrating temporary roaming config store
Installing breakpad exception handler for appid(steam)/version(1390852599_client)
ExecCommandLine: "/home/oli/.local/share/Steam/ubuntu12_32/steam"
System startup time: 8,37 seconds
OnFocusWindowChanged to window type: k_EWindowTypeSteamDesktop, 0
Running Steam on ubuntu 13.10 32-bit
STEAM_RUNTIME has been set by the user to: /home/oli/.local/share/Steam/ubuntu12_32/steam-runtime
Generating new string page texture 71: 128x256, total string texture memory is 442,37 KB
Generating new string page texture 72: 128x256, total string texture memory is 131,07 KB
Generating new string page texture 73: 64x256, total string texture memory is 507,90 KB
Generating new string page texture 74: 32x256, total string texture memory is 540,67 KB
ExecCommandLine: "/home/oli/.steam/root/ubuntu12_32/steam steam://open/driverhelperready"
ExecSteamURL: "steam://open/driverhelperready"
Generating new string page texture 99: 128x256, total string texture memory is 671,74 KB
Generating new string page texture 100: 128x256, total string texture memory is 802,82 KB
Installing breakpad exception handler for appid(steam)/version(1390852599_client)
Generating new string page texture 120: 512x256, total string texture memory is 1,33 MB
Installing breakpad exception handler for appid(steam)/version(1390852599_client)
Game update: AppID 570 "Dota 2", ProcID 15093, IP 0.0.0.0:0
CGameStreamThread: Added instance ID 15093 for appid 570
CGameStreamThread: Set render instance ID 15093 for appid 570
SDL_GL_LoadLibrary(NULL) failed: Failed loading libGL.so.1: /usr/lib/i386-linux-gnu/libxcb-dri3.so.0: undefined symbol: xcb_send_fd
(steam:14968): LIBDBUSMENU-GLIB-WARNING **: Trying to remove a child that doesn't believe we're it's parent.

(steam:14968): LIBDBUSMENU-GLIB-WARNING **: Trying to remove a child that doesn't believe we're it's parent.

(steam:14968): LIBDBUSMENU-GLIB-WARNING **: Trying to remove a child that doesn't believe we're it's parent.

(steam:14968): LIBDBUSMENU-GLIB-WARNING **: Trying to remove a child that doesn't believe we're it's parent.

(steam:14968): LIBDBUSMENU-GLIB-WARNING **: Trying to remove a child that doesn't believe we're it's parent.

(steam:14968): LIBDBUSMENU-GLIB-WARNING **: Trying to remove a child that doesn't believe we're it's parent.

(steam:14968): LIBDBUSMENU-GLIB-WARNING **: Trying to remove a child that doesn't believe we're it's parent.

(steam:14968): LIBDBUSMENU-GLIB-WARNING **: Trying to remove a child that doesn't believe we're it's parent.

(steam:14968): LIBDBUSMENU-GLIB-WARNING **: Trying to remove a child that doesn't believe we're it's parent.

(steam:14968): LIBDBUSMENU-GLIB-WARNING **: Trying to remove a child that doesn't believe we're it's parent.

(steam:14968): LIBDBUSMENU-GLIB-WARNING **: Trying to remove a child that doesn't believe we're it's parent.

(steam:14968): LIBDBUSMENU-GLIB-WARNING **: Trying to remove a child that doesn't believe we're it's parent.

(steam:14968): LIBDBUSMENU-GLIB-WARNING **: Trying to remove a child that doesn't believe we're it's parent.

(steam:14968): LIBDBUSMENU-GLIB-WARNING **: Trying to remove a child that doesn't believe we're it's parent.
Focused window is now 0, 0
OnFocusWindowChanged to window type: k_EWindowTypeNonSteamDesktop, 0
SDL_GL_LoadLibrary(NULL) failed: Failed loading libGL.so.1: /usr/lib/i386-linux-gnu/libxcb-dri3.so.0: undefined symbol: xcb_send_fdFocused window is now 1, 0
OnFocusWindowChanged to window type: k_EWindowTypeSteamDesktop, 0
Game removed: AppID 570 "Dota 2", ProcID 15093 

(steam:14968): LIBDBUSMENU-GLIB-WARNING **: Trying to remove a child that doesn't believe we're it's parent.

(steam:14968): LIBDBUSMENU-GLIB-WARNING **: Trying to remove a child that doesn't believe we're it's parent.

(steam:14968): LIBDBUSMENU-GLIB-WARNING **: Trying to remove a child that doesn't believe we're it's parent.

(steam:14968): LIBDBUSMENU-GLIB-WARNING **: Trying to remove a child that doesn't believe we're it's parent.

(steam:14968): LIBDBUSMENU-GLIB-WARNING **: Trying to remove a child that doesn't believe we're it's parent.

(steam:14968): LIBDBUSMENU-GLIB-WARNING **: Trying to remove a child that doesn't believe we're it's parent.

(steam:14968): LIBDBUSMENU-GLIB-WARNING **: Trying to remove a child that doesn't believe we're it's parent.

(steam:14968): LIBDBUSMENU-GLIB-WARNING **: Trying to remove a child that doesn't believe we're it's parent.

(steam:14968): LIBDBUSMENU-GLIB-WARNING **: Trying to remove a child that doesn't believe we're it's parent.

(steam:14968): LIBDBUSMENU-GLIB-WARNING **: Trying to remove a child that doesn't believe we're it's parent.

(steam:14968): LIBDBUSMENU-GLIB-WARNING **: Trying to remove a child that doesn't believe we're it's parent.

(steam:14968): LIBDBUSMENU-GLIB-WARNING **: Trying to remove a child that doesn't believe we're it's parent.

(steam:14968): LIBDBUSMENU-GLIB-WARNING **: Trying to remove a child that doesn't believe we're it's parent.

(steam:14968): LIBDBUSMENU-GLIB-WARNING **: Trying to remove a child that doesn't believe we're it's parent.
Focused window is now 0, 0
OnFocusWindowChanged to window type: k_EWindowTypeNonSteamDesktop, 0
Comment 4 Emil Velikov 2014-02-04 17:54:42 UTC
Most likely the mesa build you're using has dri3 enabled. Which by the looks of it conflicts with steam-runtime as it uses it's own version of libxcb.

There are a few ways around this, the quickest one afaics is to rebuild mesa without dri3.
Comment 5 celletus 2014-02-04 18:07:37 UTC
(In reply to comment #4)
> Most likely the mesa build you're using has dri3 enabled. Which by the looks
> of it conflicts with steam-runtime as it uses it's own version of libxcb.
> 
> There are a few ways around this, the quickest one afaics is to rebuild mesa
> without dri3.

Well,I am new to Linux,don't know how to do this.But it was working good until yesterday,when I think they made an update to the mesa I am using.So,they added dri3 and now is not working?why did they add this?
Comment 6 celletus 2014-02-04 20:15:02 UTC
Fixed in the last update.Thank you
Comment 7 Kenneth Graunke 2014-02-05 01:17:53 UTC
Closing since the reporter says this was fixed.
Comment 8 Fabio Pedretti 2014-02-05 08:18:35 UTC
It was just workarounded disabling dri3 in the PPA.


Use of freedesktop.org services, including Bugzilla, is subject to our Code of Conduct. How we collect and use information is described in our Privacy Policy.